complete -c diesel -n "__fish_use_subcommand" -l database-url -d 'Specifies the database URL to connect to. Falls back to the DATABASE_URL environment variable if unspecified.'
complete -c diesel -n "__fish_use_subcommand" -l config-file -d 'The location of the configuration file to use. Falls back to the `DIESEL_CONFIG_FILE` environment variable if unspecified. Defaults to `diesel.toml` in your project root. See diesel.rs/guides/configuring-diesel-cli for documentation on this file.'
complete -c diesel -n "__fish_use_subcommand" -l locked-schema -d 'Require that the schema file is up to date'
complete -c diesel -n "__fish_use_subcommand" -s h -l help -d 'Prints help information'
complete -c diesel -n "__fish_use_subcommand" -s V -l version -d 'Prints version information'
complete -c diesel -n "__fish_use_subcommand" -f -a "migration" -d 'A group of commands for generating, running, and reverting migrations.'
complete -c diesel -n "__fish_use_subcommand" -f -a "setup" -d 'Creates the migrations directory, creates the database specified in your DATABASE_URL, and runs existing migrations.'
complete -c diesel -n "__fish_use_subcommand" -f -a "database" -d 'A group of commands for setting up and resetting your database.'
complete -c diesel -n "__fish_use_subcommand" -f -a "bash-completion" -d 'DEPRECATED: Generate bash completion script for the diesel command.'
complete -c diesel -n "__fish_use_subcommand" -f -a "completions" -d 'Generate shell completion scripts for the diesel command.'
complete -c diesel -n "__fish_use_subcommand" -f -a "print-schema" -d 'Print table definitions for database schema.'
complete -c diesel -n "__fish_use_subcommand" -f -a "help" -d 'Prints this message or the help of the given subcommand(s)'
complete -c diesel -n "__fish_seen_subcommand_from migration" -l migration-dir -d 'The location of your migration directory. By default this will look for a directory called `migrations` in the current directory and its parents.'
complete -c diesel -n "__fish_seen_subcommand_from migration" -l database-url -d 'Specifies the database URL to connect to. Falls back to the DATABASE_URL environment variable if unspecified.'
complete -c diesel -n "__fish_seen_subcommand_from migration" -l config-file -d 'The location of the configuration file to use. Falls back to the `DIESEL_CONFIG_FILE` environment variable if unspecified. Defaults to `diesel.toml` in your project root. See diesel.rs/guides/configuring-diesel-cli for documentation on this file.'
complete -c diesel -n "__fish_seen_subcommand_from migration" -s h -l help -d 'Prints help information'
complete -c diesel -n "__fish_seen_subcommand_from migration" -s V -l version -d 'Prints version information'
complete -c diesel -n "__fish_seen_subcommand_from migration" -l locked-schema -d 'Require that the schema file is up to date'
complete -c diesel -n "__fish_seen_subcommand_from migration" -f -a "run" -d 'Runs all pending migrations'
complete -c diesel -n "__fish_seen_subcommand_from migration" -f -a "revert" -d 'Reverts the latest run migration'
complete -c diesel -n "__fish_seen_subcommand_from migration" -f -a "redo" -d 'Reverts and re-runs the latest migration. Useful for testing that a migration can in fact be reverted.'
complete -c diesel -n "__fish_seen_subcommand_from migration" -f -a "list" -d 'Lists all available migrations, marking those that have been applied.'
complete -c diesel -n "__fish_seen_subcommand_from migration" -f -a "pending" -d 'Returns true if there are any pending migrations.'
complete -c diesel -n "__fish_seen_subcommand_from migration" -f -a "generate" -d 'Generate a new migration with the given name, and the current timestamp as the version'
complete -c diesel -n "__fish_seen_subcommand_from migration" -f -a "help" -d 'Prints this message or the help of the given subcommand(s)'
complete -c diesel -n "__fish_seen_subcommand_from run" -l migration-dir -d 'The location of your migration directory. By default this will look for a directory called `migrations` in the current directory and its parents.'
complete -c diesel -n "__fish_seen_subcommand_from run" -l database-url -d 'Specifies the database URL to connect to. Falls back to the DATABASE_URL environment variable if unspecified.'
complete -c diesel -n "__fish_seen_subcommand_from run" -l config-file -d 'The location of the configuration file to use. Falls back to the `DIESEL_CONFIG_FILE` environment variable if unspecified. Defaults to `diesel.toml` in your project root. See diesel.rs/guides/configuring-diesel-cli for documentation on this file.'
complete -c diesel -n "__fish_seen_subcommand_from run" -s h -l help -d 'Prints help information'
complete -c diesel -n "__fish_seen_subcommand_from run" -s V -l version -d 'Prints version information'
complete -c diesel -n "__fish_seen_subcommand_from run" -l locked-schema -d 'Require that the schema file is up to date'
complete -c diesel -n "__fish_seen_subcommand_from revert" -l migration-dir -d 'The location of your migration directory. By default this will look for a directory called `migrations` in the current directory and its parents.'
complete -c diesel -n "__fish_seen_subcommand_from revert" -l database-url -d 'Specifies the database URL to connect to. Falls back to the DATABASE_URL environment variable if unspecified.'
complete -c diesel -n "__fish_seen_subcommand_from revert" -l config-file -d 'The location of the configuration file to use. Falls back to the `DIESEL_CONFIG_FILE` environment variable if unspecified. Defaults to `diesel.toml` in your project root. See diesel.rs/guides/configuring-diesel-cli for documentation on this file.'
complete -c diesel -n "__fish_seen_subcommand_from revert" -s h -l help -d 'Prints help information'
complete -c diesel -n "__fish_seen_subcommand_from revert" -s V -l version -d 'Prints version information'
complete -c diesel -n "__fish_seen_subcommand_from revert" -l locked-schema -d 'Require that the schema file is up to date'
complete -c diesel -n "__fish_seen_subcommand_from redo" -l migration-dir -d 'The location of your migration directory. By default this will look for a directory called `migrations` in the current directory and its parents.'
complete -c diesel -n "__fish_seen_subcommand_from redo" -l database-url -d 'Specifies the database URL to connect to. Falls back to the DATABASE_URL environment variable if unspecified.'
complete -c diesel -n "__fish_seen_subcommand_from redo" -l config-file -d 'The location of the configuration file to use. Falls back to the `DIESEL_CONFIG_FILE` environment variable if unspecified. Defaults to `diesel.toml` in your project root. See diesel.rs/guides/configuring-diesel-cli for documentation on this file.'
complete -c diesel -n "__fish_seen_subcommand_from redo" -s h -l help -d 'Prints help information'
complete -c diesel -n "__fish_seen_subcommand_from redo" -s V -l version -d 'Prints version information'
complete -c diesel -n "__fish_seen_subcommand_from redo" -l locked-schema -d 'Require that the schema file is up to date'
complete -c diesel -n "__fish_seen_subcommand_from list" -l migration-dir -d 'The location of your migration directory. By default this will look for a directory called `migrations` in the current directory and its parents.'
complete -c diesel -n "__fish_seen_subcommand_from list" -l database-url -d 'Specifies the database URL to connect to. Falls back to the DATABASE_URL environment variable if unspecified.'
complete -c diesel -n "__fish_seen_subcommand_from list" -l config-file -d 'The location of the configuration file to use. Falls back to the `DIESEL_CONFIG_FILE` environment variable if unspecified. Defaults to `diesel.toml` in your project root. See diesel.rs/guides/configuring-diesel-cli for documentation on this file.'
complete -c diesel -n "__fish_seen_subcommand_from list" -s h -l help -d 'Prints help information'
complete -c diesel -n "__fish_seen_subcommand_from list" -s V -l version -d 'Prints version information'
complete -c diesel -n "__fish_seen_subcommand_from list" -l locked-schema -d 'Require that the schema file is up to date'
complete -c diesel -n "__fish_seen_subcommand_from pending" -l migration-dir -d 'The location of your migration directory. By default this will look for a directory called `migrations` in the current directory and its parents.'
complete -c diesel -n "__fish_seen_subcommand_from pending" -l database-url -d 'Specifies the database URL to connect to. Falls back to the DATABASE_URL environment variable if unspecified.'
complete -c diesel -n "__fish_seen_subcommand_from pending" -l config-file -d 'The location of the configuration file to use. Falls back to the `DIESEL_CONFIG_FILE` environment variable if unspecified. Defaults to `diesel.toml` in your project root. See diesel.rs/guides/configuring-diesel-cli for documentation on this file.'
complete -c diesel -n "__fish_seen_subcommand_from pending" -s h -l help -d 'Prints help information'
complete -c diesel -n "__fish_seen_subcommand_from pending" -s V -l version -d 'Prints version information'
complete -c diesel -n "__fish_seen_subcommand_from pending" -l locked-schema -d 'Require that the schema file is up to date'
complete -c diesel -n "__fish_seen_subcommand_from generate" -l version -d 'The version number to use when generating the migration. Defaults to the current timestamp, which should suffice for most use cases.'
complete -c diesel -n "__fish_seen_subcommand_from generate" -l format -d 'The format of the migration to be generated.' -r -f -a "sql barrel"
complete -c diesel -n "__fish_seen_subcommand_from generate" -l migration-dir -d 'The location of your migration directory. By default this will look for a directory called `migrations` in the current directory and its parents.'
complete -c diesel -n "__fish_seen_subcommand_from generate" -l database-url -d 'Specifies the database URL to connect to. Falls back to the DATABASE_URL environment variable if unspecified.'
complete -c diesel -n "__fish_seen_subcommand_from generate" -l config-file -d 'The location of the configuration file to use. Falls back to the `DIESEL_CONFIG_FILE` environment variable if unspecified. Defaults to `diesel.toml` in your project root. See diesel.rs/guides/configuring-diesel-cli for documentation on this file.'
complete -c diesel -n "__fish_seen_subcommand_from generate" -s h -l help -d 'Prints help information'
complete -c diesel -n "__fish_seen_subcommand_from generate" -l locked-schema -d 'Require that the schema file is up to date'
complete -c diesel -n "__fish_seen_subcommand_from help" -l migration-dir -d 'The location of your migration directory. By default this will look for a directory called `migrations` in the current directory and its parents.'
complete -c diesel -n "__fish_seen_subcommand_from help" -l database-url -d 'Specifies the database URL to connect to. Falls back to the DATABASE_URL environment variable if unspecified.'
complete -c diesel -n "__fish_seen_subcommand_from help" -l config-file -d 'The location of the configuration file to use. Falls back to the `DIESEL_CONFIG_FILE` environment variable if unspecified. Defaults to `diesel.toml` in your project root. See diesel.rs/guides/configuring-diesel-cli for documentation on this file.'
complete -c diesel -n "__fish_seen_subcommand_from help" -s h -l help -d 'Prints help information'
complete -c diesel -n "__fish_seen_subcommand_from help" -s V -l version -d 'Prints version information'
complete -c diesel -n "__fish_seen_subcommand_from help" -l locked-schema -d 'Require that the schema file is up to date'
complete -c diesel -n "__fish_seen_subcommand_from setup" -l migration-dir -d 'The location of your migration directory. By default this will look for a directory called `migrations` in the current directory and its parents.'
complete -c diesel -n "__fish_seen_subcommand_from setup" -l database-url -d 'Specifies the database URL to connect to. Falls back to the DATABASE_URL environment variable if unspecified.'
complete -c diesel -n "__fish_seen_subcommand_from setup" -l config-file -d 'The location of the configuration file to use. Falls back to the `DIESEL_CONFIG_FILE` environment variable if unspecified. Defaults to `diesel.toml` in your project root. See diesel.rs/guides/configuring-diesel-cli for documentation on this file.'
complete -c diesel -n "__fish_seen_subcommand_from setup" -s h -l help -d 'Prints help information'
complete -c diesel -n "__fish_seen_subcommand_from setup" -s V -l version -d 'Prints version information'
complete -c diesel -n "__fish_seen_subcommand_from setup" -l locked-schema -d 'Require that the schema file is up to date'
complete -c diesel -n "__fish_seen_subcommand_from database" -l migration-dir -d 'The location of your migration directory. By default this will look for a directory called `migrations` in the current directory and its parents.'
complete -c diesel -n "__fish_seen_subcommand_from database" -l database-url -d 'Specifies the database URL to connect to. Falls back to the DATABASE_URL environment variable if unspecified.'
complete -c diesel -n "__fish_seen_subcommand_from database" -l config-file -d 'The location of the configuration file to use. Falls back to the `DIESEL_CONFIG_FILE` environment variable if unspecified. Defaults to `diesel.toml` in your project root. See diesel.rs/guides/configuring-diesel-cli for documentation on this file.'
complete -c diesel -n "__fish_seen_subcommand_from database" -s h -l help -d 'Prints help information'
complete -c diesel -n "__fish_seen_subcommand_from database" -s V -l version -d 'Prints version information'
complete -c diesel -n "__fish_seen_subcommand_from database" -l locked-schema -d 'Require that the schema file is up to date'
complete -c diesel -n "__fish_seen_subcommand_from database" -f -a "setup" -d 'Creates the database specified in your DATABASE_URL, and then runs any existing migrations.'
complete -c diesel -n "__fish_seen_subcommand_from database" -f -a "reset" -d 'Resets your database by dropping the database specified in your DATABASE_URL and then running `diesel database setup`.'
complete -c diesel -n "__fish_seen_subcommand_from database" -f -a "drop" -d 'Drops the database specified in your DATABASE_URL.'
complete -c diesel -n "__fish_seen_subcommand_from database" -f -a "help" -d 'Prints this message or the help of the given subcommand(s)'
complete -c diesel -n "__fish_seen_subcommand_from setup" -l migration-dir -d 'The location of your migration directory. By default this will look for a directory called `migrations` in the current directory and its parents.'
complete -c diesel -n "__fish_seen_subcommand_from setup" -l database-url -d 'Specifies the database URL to connect to. Falls back to the DATABASE_URL environment variable if unspecified.'
complete -c diesel -n "__fish_seen_subcommand_from setup" -l config-file -d 'The location of the configuration file to use. Falls back to the `DIESEL_CONFIG_FILE` environment variable if unspecified. Defaults to `diesel.toml` in your project root. See diesel.rs/guides/configuring-diesel-cli for documentation on this file.'
complete -c diesel -n "__fish_seen_subcommand_from setup" -s h -l help -d 'Prints help information'
complete -c diesel -n "__fish_seen_subcommand_from setup" -s V -l version -d 'Prints version information'
complete -c diesel -n "__fish_seen_subcommand_from setup" -l locked-schema -d 'Require that the schema file is up to date'
complete -c diesel -n "__fish_seen_subcommand_from reset" -l migration-dir -d 'The location of your migration directory. By default this will look for a directory called `migrations` in the current directory and its parents.'
complete -c diesel -n "__fish_seen_subcommand_from reset" -l database-url -d 'Specifies the database URL to connect to. Falls back to the DATABASE_URL environment variable if unspecified.'
complete -c diesel -n "__fish_seen_subcommand_from reset" -l config-file -d 'The location of the configuration file to use. Falls back to the `DIESEL_CONFIG_FILE` environment variable if unspecified. Defaults to `diesel.toml` in your project root. See diesel.rs/guides/configuring-diesel-cli for documentation on this file.'
complete -c diesel -n "__fish_seen_subcommand_from reset" -s h -l help -d 'Prints help information'
complete -c diesel -n "__fish_seen_subcommand_from reset" -s V -l version -d 'Prints version information'
complete -c diesel -n "__fish_seen_subcommand_from reset" -l locked-schema -d 'Require that the schema file is up to date'
complete -c diesel -n "__fish_seen_subcommand_from drop" -l migration-dir -d 'The location of your migration directory. By default this will look for a directory called `migrations` in the current directory and its parents.'
complete -c diesel -n "__fish_seen_subcommand_from drop" -l database-url -d 'Specifies the database URL to connect to. Falls back to the DATABASE_URL environment variable if unspecified.'
complete -c diesel -n "__fish_seen_subcommand_from drop" -l config-file -d 'The location of the configuration file to use. Falls back to the `DIESEL_CONFIG_FILE` environment variable if unspecified. Defaults to `diesel.toml` in your project root. See diesel.rs/guides/configuring-diesel-cli for documentation on this file.'
complete -c diesel -n "__fish_seen_subcommand_from drop" -s h -l help -d 'Prints help information'
complete -c diesel -n "__fish_seen_subcommand_from drop" -s V -l version -d 'Prints version information'
complete -c diesel -n "__fish_seen_subcommand_from drop" -l locked-schema -d 'Require that the schema file is up to date'
complete -c diesel -n "__fish_seen_subcommand_from help" -l migration-dir -d 'The location of your migration directory. By default this will look for a directory called `migrations` in the current directory and its parents.'
complete -c diesel -n "__fish_seen_subcommand_from help" -l database-url -d 'Specifies the database URL to connect to. Falls back to the DATABASE_URL environment variable if unspecified.'
complete -c diesel -n "__fish_seen_subcommand_from help" -l config-file -d 'The location of the configuration file to use. Falls back to the `DIESEL_CONFIG_FILE` environment variable if unspecified. Defaults to `diesel.toml` in your project root. See diesel.rs/guides/configuring-diesel-cli for documentation on this file.'
complete -c diesel -n "__fish_seen_subcommand_from help" -s h -l help -d 'Prints help information'
complete -c diesel -n "__fish_seen_subcommand_from help" -s V -l version -d 'Prints version information'
complete -c diesel -n "__fish_seen_subcommand_from help" -l locked-schema -d 'Require that the schema file is up to date'
complete -c diesel -n "__fish_seen_subcommand_from bash-completion" -l database-url -d 'Specifies the database URL to connect to. Falls back to the DATABASE_URL environment variable if unspecified.'
complete -c diesel -n "__fish_seen_subcommand_from bash-completion" -l config-file -d 'The location of the configuration file to use. Falls back to the `DIESEL_CONFIG_FILE` environment variable if unspecified. Defaults to `diesel.toml` in your project root. See diesel.rs/guides/configuring-diesel-cli for documentation on this file.'
complete -c diesel -n "__fish_seen_subcommand_from bash-completion" -s h -l help -d 'Prints help information'
complete -c diesel -n "__fish_seen_subcommand_from bash-completion" -s V -l version -d 'Prints version information'
complete -c diesel -n "__fish_seen_subcommand_from bash-completion" -l locked-schema -d 'Require that the schema file is up to date'
complete -c diesel -n "__fish_seen_subcommand_from completions" -l database-url -d 'Specifies the database URL to connect to. Falls back to the DATABASE_URL environment variable if unspecified.'
complete -c diesel -n "__fish_seen_subcommand_from completions" -l config-file -d 'The location of the configuration file to use. Falls back to the `DIESEL_CONFIG_FILE` environment variable if unspecified. Defaults to `diesel.toml` in your project root. See diesel.rs/guides/configuring-diesel-cli for documentation on this file.'
complete -c diesel -n "__fish_seen_subcommand_from completions" -s h -l help -d 'Prints help information'
complete -c diesel -n "__fish_seen_subcommand_from completions" -s V -l version -d 'Prints version information'
complete -c diesel -n "__fish_seen_subcommand_from completions" -l locked-schema -d 'Require that the schema file is up to date'
complete -c diesel -n "__fish_seen_subcommand_from print-schema" -s s -l schema -d 'The name of the schema.'
complete -c diesel -n "__fish_seen_subcommand_from print-schema" -l patch-file -d 'A unified diff file to be applied to the final schema'
complete -c diesel -n "__fish_seen_subcommand_from print-schema" -l import-types -d 'A list of types to import for every table, separated by commas'
complete -c diesel -n "__fish_seen_subcommand_from print-schema" -l database-url -d 'Specifies the database URL to connect to. Falls back to the DATABASE_URL environment variable if unspecified.'
complete -c diesel -n "__fish_seen_subcommand_from print-schema" -l config-file -d 'The location of the configuration file to use. Falls back to the `DIESEL_CONFIG_FILE` environment variable if unspecified. Defaults to `diesel.toml` in your project root. See diesel.rs/guides/configuring-diesel-cli for documentation on this file.'
complete -c diesel -n "__fish_seen_subcommand_from print-schema" -s o -l only-tables -d 'Only include tables from table-name'
complete -c diesel -n "__fish_seen_subcommand_from print-schema" -s w -l whitelist
complete -c diesel -n "__fish_seen_subcommand_from print-schema" -s e -l except-tables -d 'Exclude tables from table-name'
complete -c diesel -n "__fish_seen_subcommand_from print-schema" -s b -l blacklist
complete -c diesel -n "__fish_seen_subcommand_from print-schema" -l with-docs -d 'Render documentation comments for tables and columns'
complete -c diesel -n "__fish_seen_subcommand_from print-schema" -s h -l help -d 'Prints help information'
complete -c diesel -n "__fish_seen_subcommand_from print-schema" -s V -l version -d 'Prints version information'
complete -c diesel -n "__fish_seen_subcommand_from print-schema" -l locked-schema -d 'Require that the schema file is up to date'
complete -c diesel -n "__fish_seen_subcommand_from help" -l database-url -d 'Specifies the database URL to connect to. Falls back to the DATABASE_URL environment variable if unspecified.'
complete -c diesel -n "__fish_seen_subcommand_from help" -l config-file -d 'The location of the configuration file to use. Falls back to the `DIESEL_CONFIG_FILE` environment variable if unspecified. Defaults to `diesel.toml` in your project root. See diesel.rs/guides/configuring-diesel-cli for documentation on this file.'
complete -c diesel -n "__fish_seen_subcommand_from help" -s h -l help -d 'Prints help information'
complete -c diesel -n "__fish_seen_subcommand_from help" -s V -l version -d 'Prints version information'
complete -c diesel -n "__fish_seen_subcommand_from help" -l locked-schema -d 'Require that the schema file is up to date'
